org.jboss.resteasy.links

## Class RESTServiceDiscovery.AtomLink

- java.lang.Object
- - org.jboss.resteasy.links.RESTServiceDiscovery.AtomLink

- Enclosing class:
    RESTServiceDiscovery

      public static class RESTServiceDiscovery.AtomLink
      extends Object

  An Atom link
  Author:
    Stéphane Épardaud

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RESTServiceDiscovery.AtomLink()`
    `RESTServiceDiscovery.AtomLink(String href, String rel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHref()`
    `String` | `getHreflang()`
    `String` | `getLength()`
    `String` | `getRel()`
    `String` | `getTitle()`
    `String` | `getType()`
    `void` | `setHref(String href)`
    `void` | `setHreflang(String hreflang)`
    `void` | `setLength(String length)`
    `void` | `setRel(String rel)`
    `void` | `setTitle(String title)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RESTServiceDiscovery.AtomLink

          public RESTServiceDiscovery.AtomLink()

    - #### RESTServiceDiscovery.AtomLink

          public RESTServiceDiscovery.AtomLink(String href,
                                       String rel)

  - ### Method Detail

    - #### getRel

          public String getRel()

    - #### setRel

          public void setRel(String rel)

    - #### getHref

          public String getHref()

    - #### setHref

          public void setHref(String href)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getHreflang

          public String getHreflang()

    - #### setHreflang

          public void setHreflang(String hreflang)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getLength

          public String getLength()

    - #### setLength

          public void setLength(String length)

Copyright © 2014. All Rights Reserved.